E-MailRelay

Public Member Functions | List of all members
GSmtp::ServerProtocol::Text Class Referenceabstract

An interface used by ServerProtocol to provide response text strings. More...

`#include <gsmtpserverprotocol.h>`

Inheritance diagram for GSmtp::ServerProtocol::Text:

## Public Member Functions
virtual std::string | greeting () const =0
| Returns a system identifier for the initial greeting. More...
virtual std::string | hello (const std::string &smtp_peer_name) const =0
| Returns a hello response. More...
virtual std::string | received (const std::string &smtp_peer_name, bool auth, bool secure, const std::string &protocol, const std::string &cipher) const =0
| Returns a complete 'Received' line. More...
virtual | ~Text ()=default
| Destructor.

## Detailed Description

An interface used by ServerProtocol to provide response text strings.

Definition at line 76 of file gsmtpserverprotocol.h.

## Member Function Documentation

## ◆ greeting()

virtual std::string GSmtp::ServerProtocol::Text::greeting | ( |  | ) | const
| pure virtual

Returns a system identifier for the initial greeting.

Implemented in GSmtp::AnonymousText.

## ◆ hello()

virtual std::string GSmtp::ServerProtocol::Text::hello | ( | const std::string & | smtp_peer_name | ) | const
| pure virtual

Returns a hello response.

Implemented in GSmtp::AnonymousText.

## ◆ received()

virtual std::string GSmtp::ServerProtocol::Text::received | ( | const std::string & | smtp_peer_name,
|  | bool | auth,
|  | bool | secure,
|  | const std::string & | protocol,
|  | const std::string & | cipher
| ) |  | const
| pure virtual

Returns a complete 'Received' line.

Implemented in GSmtp::AnonymousText.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpserverprotocol.h